import { Request, Response, NextFunction } from 'express';
import { Middleware } from '../base/http';

class PoweredByHeaderMiddleware extends Middleware {
	protected action = (req: Request, res: Response, next: NextFunction): any => {
		res.setHeader('X-Powered-By', 'org.crazydoctor.expressts');
		next();
	};
	protected order = -101;
	protected route = null;
}

export default PoweredByHeaderMiddleware;