"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("../base/http");
class PoweredByHeaderMiddleware extends http_1.Middleware {
    constructor() {
        super(...arguments);
        this.action = (req, res, next) => {
            res.setHeader('X-Powered-By', 'org.crazydoctor.expressts');
            next();
        };
        this.order = -101;
        this.route = null;
    }
}
exports.default = PoweredByHeaderMiddleware;
//# sourceMappingURL=PoweredByHeaderMiddleware.js.map