"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("../base/http");
const swagger_ui_express_1 = __importDefault(require("swagger-ui-express"));
class SwaggerUiServeMiddleware extends http_1.Middleware {
    constructor() {
        super(...arguments);
        this.order = -97;
        this.route = this.context.swaggerRoute;
        this.action = swagger_ui_express_1.default.serve;
    }
}
exports.default = SwaggerUiServeMiddleware;
//# sourceMappingURL=SwaggerUiServeMiddleware.js.map