import { Middleware } from '../base/http';
import swaggerUi from 'swagger-ui-express';

class SwaggerUiServeMiddleware extends Middleware {
	protected order = -97;
	protected route = this.context.swaggerRoute;
	protected action: any = swaggerUi.serve;
}

export default SwaggerUiServeMiddleware;